# AODataKeyGetInfo

Gets the global size, local size and number of segments in a key.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeyGetInfo(AOData aodata,const char name[],PetscInt *nglobal,PetscInt *nlocal,PetscInt *nsegments,char ***segnames)

Not collective

### Input Parameters

| aodata | - the database
| name | - the name of the key

### Output Parameters

| nglobal | - global number of keys
| nlocal | - local number of keys
| nsegments | - number of segments associated with key
| segnames | - names of the segments or PETSC_NULL

### Keywords

database accessing

### See Also

AODataKeyGetOwnershipRange()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages